<?php
$titlu='Sitemap poezii';
require'f_sitemap.php';
echo sitemap($adresasite[0].'/poezii','Poezii');
$categorii=$conn->query('SELECT`id`,`nume`FROM`poezii_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
if(ceil($y1/$pepagyna)>$z1)
{
$z1++;
echo sitemap($adresasite[0].'/poezii/pagina/'.$z1,'Poezii - pagina '.$z1);
}
$y2=1;
$z2=1;
echo sitemap($adresasite[0].'/poezii/categorie/'.$categorie[0].'-'.seo($categorie[1]),'Poezii, categoria '.htmlspecialchars($categorie[1]));
$poezii=$conn->query('SELECT`id`,`nume`FROM`poezii`WHERE`cid`="'.$categorie[0].'"ORDER BY`data`DESC');
while($poezie=$poezii->fetch_row())
{
if(ceil($y2/$pepagyna)>$z2)
{
$z2++;
echo sitemap($adresasite[0].'/poezii/categorie/'.$categorie[0].'-'.seo($categorie[1]).'/pagina/'.$z2,'Poezii, categoria '.htmlspecialchars($categorie[1]).' - pagina '.$z2);
}
echo sitemap($adresasite[0].'/poezie/id/'.$poezie[0].'-'.seo($poezie[1]),'Poezie '.htmlspecialchars($poezie[1]));
$aprecieriile=$conn->query('SELECT COUNT(*)FROM`poezii_aprecieri`WHERE`pid`="'.$poezie[0].'"&&`valoare`="1"')->fetch_row()[0];
if($aprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-poezie/id/'.$poezie[0].'-'.seo($poezie[1]).'/tip/aprecieri','Aprecieri poezie '.htmlspecialchars($poezie[1]));
$numar_aprecieri=ceil($aprecieriile/$pepagyna);
for($aprecieri=1;$aprecieri<$numar_aprecieri;$aprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-poezie/id/'.$poezie[0].'-'.seo($poezie[1]).'/tip/aprecieri/pagina/'.($aprecieri+1),'Aprecieri poezie '.htmlspecialchars($poezie[1]).' - pagina '.($aprecieri+1));
}
}
$dezaprecieriile=$conn->query('SELECT COUNT(*)FROM`poezii_aprecieri`WHERE`pid`="'.$poezie[0].'"&&`valoare`="2"')->fetch_row()[0];
if($dezaprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-poezie/id/'.$poezie[0].'-'.seo($poezie[1]).'/tip/dezaprecieri','Dezaprecieri poezie '.htmlspecialchars($poezie[1]));
$numar_dezaprecieri=ceil($dezaprecieriile/$pepagyna);
for($dezaprecieri=1;$dezaprecieri<$numar_dezaprecieri;$dezaprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-poezie/id/'.$poezie[0].'-'.seo($poezie[1]).'/tip/dezaprecieri/pagina/'.($dezaprecieri+1),'Dezaprecieri poezie '.htmlspecialchars($poezie[1]).' - pagina '.($dezaprecieri+1));
}
}
$comentariile=$conn->query('SELECT COUNT(*)FROM`poezii_comentarii`WHERE`pid`="'.$poezie[0].'"')->fetch_row()[0];
if($comentariile>0)
{
echo sitemap($adresasite[0].'/comentarii-poezie/id/'.$poezie[0].'-'.seo($poezie[1]),'Comentarii poezie '.htmlspecialchars($poezie[1]));
$numar_comentarii=ceil($comentariile/$pepagyna);
for($comentarii=1;$comentarii<$numar_comentarii;$comentarii++)
{
echo sitemap($adresasite[0].'/comentarii-poezie/id/'.$poezie[0].'-'.seo($poezie[1]).'/pagina/'.($comentarii+1),'Comentarii poezie '.htmlspecialchars($poezie[1]).' - pagina '.($comentarii+1));
}
}
$notele=$conn->query('SELECT COUNT(*)FROM`poezii_note`WHERE`pid`="'.$poezie[0].'"')->fetch_row()[0];
if($notele>0)
{
echo sitemap($adresasite[0].'/note-poezie/id/'.$poezie[0].'-'.seo($poezie[1]),'Note poezie '.htmlspecialchars($poezie[1]));
$numar_note=ceil($notele/$pepagyna);
for($note=1;$note<$numar_note;$note++)
{
echo sitemap($adresasite[0].'/note-poezie/id/'.$poezie[0].'-'.seo($poezie[1]).'/pagina/'.($note+1),'Note poezie '.htmlspecialchars($poezie[1]).' - pagina '.($note+1));
}
}
$y2++;
}
$y1++;
}
echo$x2;
require'f_fun.php';